#ifndef __FFT_CLASS__
#define __FFT_CLASS__

//==================================================
// `
//==================================================
typedef struct {
	double r;
	double i;
} COMPLEX_NUMBER;

#define MATH_PI 3.1415926535897932384626433832795

//==================================================
// FFTNX
//==================================================
class FFT {
private:
	COMPLEX_NUMBER* pcnW;
	double* pdWndFunc;
	int nLEN;

public:

	FFT(int nLen);
	~FFT();

	void CalcFFT(COMPLEX_NUMBER* pcnA, COMPLEX_NUMBER* pcnTmp, int nLen, bool bInv);
	void WndFunc(COMPLEX_NUMBER* pcnA, bool bImaginary);
};

#endif