#ifndef __SOUND_CLASS__
#define __SOUND_CLASS__

#include <windows.h>
#include <math.h>
#include "fft.h"

class SOUND {
private:
	double* pdCorrectionValue;
	int nSamplesPerSec;
	long lSampleMaxValue;
	int nFftLen;

public:
	SOUND(int sSamplesPerSec, int nFftLen);
	~SOUND();

	void GetCorrectionValue();
	double GetPressure(COMPLEX_NUMBER* pcnA);
	short GetStrainedValue(double lSampleMaxValue);
	void SetStrainedCurve(long _lSampleMaxValue);
};

#endif